Ask coding questions

← Back to all posts
How do I change python version from 3.7 to 3.6
TrustedMercury (25)

I use repl.it to host my discord bot, unfortunately, repl.it set it's default python version to 3.7.4 now, and discord.py only supports until 3.6, how can I change the version of my repl such that it runs 3.6?

Comments
hotnewtop
Jsalaz1989 (10)

I'm surprised nobody is helping with this.

I'm trying to get this PySimpleGui demo to work but the windows aren't showing up. Therefore, I'm trying to switch Python 3.6 because apparently PySimpleGUIWeb doesn't work well with >3.7.2 yet.

Guess I'll have to keep looking.

MikeJans (1)

@riadovic would also like to know how to downgrade to 3.7 as one of my packages isnt available yet on 3.8

BoughtData (2)

Even I have the same problem, i cant run my kivy application in python 3.8.2 as it only supports till 3.7 can someone please tell how to change it?

JonathasTorres (0)

You might use tkinter python template on repl, that is using 3.6 version